classification
Title: Add CRT version info in msvcrt module
Type: Stage:
Components: Windows Versions: Python 2.7
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: barry Nosy List: barry, cdavid, loewis
Priority: release blocker Keywords: patch

Created on 2008-11-20 15:55 by cdavid, last changed 2008-12-01 04:53 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
msvcrt_version_info.diff cdavid, 2008-11-20 15:55
Messages (4)
msg76112 - (view) Author: Cournapeau David (cdavid) Date: 2008-11-20 15:55
This patch if the first part to follow discussion on python-list
concerning problems when using distutils.config.try_run with mingw and
manifest problems on windows for python 2.6 (or any python built with
recent VS).

It simply adds strings constant got the msvcrt module, so that they can
be queried in distutils to generate manifest on the fly if needed. I
don't know which approach is best to deal with conditional compilation:
for now, I simply do not add the constants if the constants are not
defined at the C level, but this does not strike as a great idea to me.
msg76654 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-11-30 19:29
Thanks for the patch. Committed (with modifications) as r67455.

Barry, I would like to apply this to both 2.6 and 3.0. Ok?
msg76664 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2008-11-30 20:16
Go for it Martin.
msg76675 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-12-01 04:53
Merged into 2.6 as r67466, Benjamin had already merged it for 3k as r67461.
History
Date User Action Args
2008-12-01 04:53:13loewissetstatus: open -> closed
messages: + msg76675
versions: - Python 2.6, Python 3.0
2008-11-30 20:17:00barrysetresolution: accepted
messages: + msg76664
versions: + Python 2.6, Python 3.0
2008-11-30 19:29:37loewissetpriority: release blocker
assignee: barry
messages: + msg76654
nosy: + barry, loewis
2008-11-20 15:55:43cdavidcreate